<?php if ( ! defined( 'ABSPATH' ) ) exit; 
    $date_format = get_option( 'date_format' );

    /*
        Actions:

        rocket_apps_plugin_list (left pane)
        rocket_apps_plugin_before_list (main pane)
        rocket_apps_plugin_after_list (main pane)
    */
?>

<div class="wrap rocket-apps-wrap">

    <h2><?php _e( 'Rocket Apps Plugin Manager', 'ra-manager' ); ?></h2>
    
    <!--/ Start Container /-->
    <div class="rocket-apps-container">

        <!--/ Start List /-->
        <ul class="rocket-apps-list">
            <li><a href="<?php echo get_admin_url(); ?>admin.php?page=rocket-apps-settings" <?php if(!isset($_GET['plugin'])) { echo 'class="current-plugin"'; } ?>>Home</a></li>
            <?php do_action('rocket_apps_plugin_list'); ?>
            <script>
                jQuery( document ).ready(function() {
                    jQuery('.rocket-apps-list li a, .rocket-apps-pane li a').click(function() {
                        jQuery('.rocket-apps-pane').addClass('shader');
                    })
                });
            </script>
        </ul>
        <!--/ End List /-->

        <!--/ Start Pane /-->
        <div class="rocket-apps-pane">
            
            <?php if(isset($_GET['plugin']) ) {

                echo '<h2>' . ucwords(str_replace("-", " ", $_GET['plugin'])) . '</h2>';
                do_action('rocket_apps_plugin_pane');

            } else { ?>
            
                <img src="<?php echo plugins_url('', dirname(__FILE__) ); ?>/images/logo-rocket-apps.svg" class="ra-logo" />
                <h3><?php _e( 'Welcome to the Rocket Apps plugin dashboard.', 'ra-manager' ) ?></h3>
                <p><?php _e( 'From here you will be able to manage your Rocket Apps licenses, deactivate plugins from domains and more.', 'ra-manager' ) ?></p>
                <p><?php _e( 'Get started by selecting a product.', 'ra-manager' ) ?></p>
                <?php do_action('rocket_apps_plugin_before_list'); ?>
                <ul class="plugins-list">
                    <?php do_action('rocket_apps_plugin_list'); ?>
                </ul>
                <?php do_action('rocket_apps_plugin_after_list'); ?>
                
            <?php } ?>

            <?php require_once('cm-form.php'); ?>

        </div>
        <!--/ End Pane /-->

    </div>
    <!--/ End Container /-->

</div>