<?php
/*
Plugin Name: 	Rocket Apps Plugin Manager
Plugin URI: 	https://rocketapps.com.au/
Description: 	Manage your Rocket Apps licenses, deactivate plugins from domains and more.
Version: 		1.0.2
Author: 		Rocket Apps
Author URI: 	https://rocketapps.com.au
Text Domain: 	ra-manager
License:        GPL2
Domain Path: 	/languages/
*/

/* Look for translation file */
function load_rocket_apps_manager_textdomain() {
    load_plugin_textdomain( 'ra-manager', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'load_rocket_apps_manager_textdomain' );

require 'plugin-updates/plugin-update-checker.php';
$RAUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://rocketapps.com.au/files/rocket-apps-plugin-manager/rocket-apps-plugin-manager/info.json',
	__FILE__,
	'rocket-apps-plugin-manager'
);

/* Add custom CSS to admin */
function rapm_admin_style() {
    $plugin_data 		= get_plugin_data( __FILE__ );
    $plugin_version 	= $plugin_data['Version'];
	$plugin_directory	= plugins_url('css/', __FILE__ );
	$subview 			= isset($_GET['subview']);
	wp_enqueue_style('rapm-admin-style', $plugin_directory . 'rocket-apps-plugin-manager.css', '', $plugin_version);
}
add_action('admin_enqueue_scripts', 'rapm_admin_style');

/* Add settings page */
function rocket_apps_pro_menu() {
	
	$rocket_apps_parent_slug 	= 'rocket-apps-settings';
	$rocket_apps_capability		= apply_filters( 'rocket_apps_required_capabilities', 'manage_options' );
	$icon_path 	    			= plugins_url('images/', __FILE__ ) . 'icon.svg';
	$position					= 66;
	
	add_menu_page( __( 'Rocket Apps' ), __( 'Rocket Apps' ), $rocket_apps_capability, $rocket_apps_parent_slug, 'generate_rocket_apps_page_content' ,$icon_path, $position);
	do_action( 'rocket_apps_extra_menu_items', $rocket_apps_parent_slug, $rocket_apps_capability );
}
add_action( 'admin_menu', 'rocket_apps_pro_menu' );

/* Include the home page. */
function generate_rocket_apps_page_content() {
	require_once('inc/home.php');
}